Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.search.filter
Class ChainedFilter

    java.lang.Object
      org.apache.lucene.search.Filter
          org.hibernate.search.filter.ChainedFilter

All Implemented Interfaces:
  java.io.Serializable

    public class ChainedFilter

extends org.apache.lucene.search.Filter

A Filter capable of chaining other filters, so that it's possible to apply several filters on a Query.

The resulting filter will only enable result Documents if no filter removed it.

Author:
  Emmanuel Bernard, Sanne Grinovero
See Also:
  Serialized Form

Constructor Summary
`ChainedFilter()`

Method Summary
`void` | `addFilter(org.apache.lucene.search.Filter filter)`
`java.util.BitSet` | `bits(org.apache.lucene.index.IndexReader reader)`
`org.apache.lucene.search.DocIdSet` | `getDocIdSet(org.apache.lucene.index.IndexReader reader)`
`boolean` | `isEmpty()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ChainedFilter

    public ChainedFilter()

Method Detail

### addFilter

    public void addFilter(org.apache.lucene.search.Filter filter)

### isEmpty

    public boolean isEmpty()

### bits

    public java.util.BitSet bits(org.apache.lucene.index.IndexReader reader)
                          throws java.io.IOException

  Overrides:
    `bits` in class `org.apache.lucene.search.Filter`
  Throws:
    `java.io.IOException`

### getDocIdSet

    public org.apache.lucene.search.DocIdSet getDocIdSet(org.apache.lucene.index.IndexReader reader)
                                                  throws java.io.IOException

  Overrides:
    `getDocIdSet` in class `org.apache.lucene.search.Filter`
  Throws:
    `java.io.IOException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Hibernate. All Rights Reserved.